Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.internal.ui.model
Class ModelLabelProvider

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.jface.viewers.BaseLabelProvider
              org.eclipse.jface.viewers.LabelProvider
                  org.eclipse.emf.ecp.internal.ui.model.ECPLabelProvider
                      org.eclipse.emf.ecp.internal.ui.model.ModelLabelProvider

All Implemented Interfaces:
  ECPModelContextProvider, ECPObserver, ECPProjectOpenClosedObserver, IECPLabelProvider, org.eclipse.jface.viewers.IBaseLabelProvider, org.eclipse.jface.viewers.ILabelProvider

    public class ModelLabelProvider

extends ECPLabelProvider
implements ECPProjectOpenClosedObserver

Author:
  Eike Stepper

Constructor Summary
`ModelLabelProvider(ECPModelContextProvider modelContextProvider)`

Method Summary
`void` | `dispose()`
`String` | `getText(Object element)`
`void` | `projectChanged(ECPProject project, boolean opened)` This is called when a project is opened or closed.

Methods inherited from class org.eclipse.emf.ecp.internal.ui.model.ECPLabelProvider
`getImage, getModelContext, getModelContextProvider, getUIProvider, setModelContextProvider`

Methods inherited from class org.eclipse.jface.viewers.BaseLabelProvider
`addListener, isLabelProperty, removeListener`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.viewers.IBaseLabelProvider
`addListener, isLabelProperty, removeListener`

Constructor Detail

### ModelLabelProvider

    public ModelLabelProvider(ECPModelContextProvider modelContextProvider)

Method Detail

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `org.eclipse.jface.viewers.IBaseLabelProvider`
  Overrides:
    `dispose` in class `org.eclipse.jface.viewers.BaseLabelProvider`

### getText

    public String getText(Object element)

  Specified by:
    `getText` in interface `org.eclipse.jface.viewers.ILabelProvider`
  Overrides:
    `getText` in class `ECPLabelProvider`

### projectChanged

    public void projectChanged(ECPProject project,
                               boolean opened)

  This is called when a project is opened or closed.

  Specified by:
    `projectChanged` in interface `ECPProjectOpenClosedObserver`
  Parameters:
    `project` - the `ECPProject` that changed
    `opened` - whether it was opened or closed

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.